Bug 971590 - Artifacts in gnome-shell with GeForce Go 7600 after upgrade
Artifacts in gnome-shell with GeForce Go 7600 after upgrade
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:57 EDT by Eskild Hustvedt
Modified: 2015-02-17 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:29:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the artifacts (187.96 KB, image/png)
2013-06-06 16:57 EDT, Eskild Hustvedt
no flags Details

  None (edit)
Description Eskild Hustvedt 2013-06-06 16:57:26 EDT
Created attachment 757923 [details]
Screenshot of the artifacts

Description of problem:
After upgrading from F18 -> F19 Beta (up to date as of the 6th of june) I get artifacts during use of gnome-shell. See the attached screenshot.

It manifests itself as artifacts around windows in the overview (as in the screenshot), missing background in the overview (as well as the rest of the screen turning black when a modal window appears over it, ie. the "select file" window in firefox when uploading the screenshot for this bug report), as well as some missed screen redraws. The latter is most easily noticeable in gnome-terminal, where when using screen, it will sometimes not redraw if I switch between screen windows (switching *again* or doing C-A l often fixes it). During login (in GDM) the artifacts show as the input field for the password flickering when I type into it.

It's a laptop, and the card is a GeForce Go 7600.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
Kernel 3.9.4-301.fc19.x86_64
gnome-shell-3.8.2-3.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start the computer
2. Artifacts appear first on the login screen, then next after login
Comment 1 zwartgat 2013-06-09 08:01:45 EDT
This is a duplicate of issue 966948

https://bugzilla.redhat.com/show_bug.cgi?id=966948
Comment 2 Fedora End Of Life 2015-01-09 13:21:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:29:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.